<?php
/**
 * PHP Integration of Open Flash Chart
 *
 * @version		$Id: OFC_Elements_Axis.php 110 2009-06-16 10:37:28Z eddieajau $
 * @copyright	Copyright (C) 2008 John Glazebrook <open-flash-chart@teethgrinder.co.uk>
 * @license		GNU Lesser General Public License version 2.1 or later.
 * @link		http://teethgrinder.co.uk/open-flash-chart-2/
 */
defined('PATH_OFC') or die;

require_once PATH_OFC.'/Elements/OFC_Elements_Base.php';

/**
 * @package		OpenFlashCharts
 */
class OFC_Elements_Axis extends OFC_Elements_Base
{
	/**
	 * @param	string	The hex colour value for the axis line.
	 */
	function set_colour($colour)
	{
		$this->colour = $colour;
	}

	function set_colours($colour, $grid_colour)
	{
		$this->set_colour($colour);
		$this->set_grid_colour($grid_colour);
	}

	/**
	 * @param	string	The hex colour for the background of the chart area.
	 */
	function set_grid_colour($colour)
	{
		$this->{'grid-colour'} = $colour;
	}

	function set_steps($steps=1)
	{
		$this->steps = $steps;
	}
}
